﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Windows.Forms;

namespace AsyncTest {
	static class Program {
		/// <summary>
		/// The main entry point for the application.
		/// </summary>
		[STAThread]
		static void Main() {
			Application.EnableVisualStyles();
			Application.SetCompatibleTextRenderingDefault(false);
			Application.ThreadException+=new System.Threading.ThreadExceptionEventHandler(Application_ThreadException);
			Application.Run(new Form1());
		}

		static void log(string s) {
			Console.WriteLine(s);
		}

		static void Application_ThreadException(object sender, System.Threading.ThreadExceptionEventArgs e) {
			log("Application_ThreadException");
			foreach (string s in e.Exception.ToString().Split('\n', '\r')) if (s.Length!=0) log(s);
		}
	}
}
